Get All Platforms

Get All Platforms
List all defined LicenseHub platforms

Retrieves a paginated list of all LicenseHub platform deployments.

Notes:

  • If no platforms exist, returns an empty list with a 200 status code.
  • To get the detailed full configuration of a specific platform returned in this list, use GET /lh-appliance/platforms/{platform-id}.
Request
URI
GET
https://{api_host}/https://{api_host}:{port}/lh-appliance/platforms
COPY
Query Parameters
integer
offset
Optional
Constraints: minimum: 0 default: 0

Offset pagination parameter used to exclude from a response the first N items of a resource collection. Combine the offset and the page_size options to request a particular set or page of items.

integer
page_size
Optional
Constraints: minimum: 0 default: 1000

Number of records to be returned in the API request from the provided offset

boolean,null
sort_ascending
Optional
Constraints: default: false

True, if the list of records returned need to be sorted in ascending order, false otherwise.

string
sort_by
Optional

The parameter name on which to sort the list of records. Only top-level parameters in the returned list of records will be supported. If not provided, system will define the parameter by which results are sorted.


Authentication
This operation uses the following authentication methods.
Responses
200

An array of LicenseHub configurations.

Returns LicenseHubConfigList of type(s) application/json
This response body class contains all of the following: ListResult , InlineLicenseHubConfigList1
{
    "offset": 0,
    "number_of_results": 0,
    "total_result_count": 0,
    "total_pages": 0,
    "sort_ascending": false,
    "sort_by": "string",
    "configs": [
        {
            "_create_user": "string",
            "_create_time": 0,
            "_last_modified_user": "string",
            "_last_modified_time": 0,
            "_revision": 0,
            "_resource_type": "string",
            "_system_owned": false,
            "id": "string",
            "display_name": "string",
            "description": "string",
            "site_ids": [
                "string"
            ],
            "desired_state": "string",
            "provider_id": "string",
            "network": {
                "ntp": "string",
                "dns": [
                    "string"
                ],
                "search_domain": "string",
                "network_configs": [
                    {
                        "platform_subnet": "string",
                        "platform_default_gateway": "string",
                        "service_pools": [
                            {
                                "start": "string",
                                "end": "string",
                                "name": "string"
                            }
                        ]
                    }
                ]
            },
            "service": {
                "ingress_fqdn": "string",
                "kafka_fqdn": "string",
                "ssp_bundle_version": "string",
                "password_configuration": {
                    "admin_password": "string",
                    "audit_password": "string"
                },
                "instance_name": "string"
            },
            "instance_id": "string"
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

An error occurred fetching platforms.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/https://{api_host}:{port}/lh-appliance/platforms